#
# spec file for package python-yaml
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define mod_name yaml

Name:           python-%{mod_name}
Version:        3.09
Release:        1.1
Url:            http://pyyaml.org/wiki/PyYAML
Summary:        YAML parser and emitter for Python
License:        MIT
Group:          Development/Libraries/Python
Source:         PyYAML-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
%if 0%{?suse_version}
%py_requires
%endif

%description
PyYAML is a YAML parser and emitter for the Python programming
language. YAML is a data serialization format designed for human
readability and interaction with scripting languages.


Authors:
--------
    Kirill Simonov <xi@resolvent.net>

%prep
export CFLAGS="%{optflags}"
%setup -q -n PyYAML-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} %{?suse_version: --record-rpm=INSTALLED_FILES}

%clean
rm -rf %{buildroot}

%files %{?suse_version: -f INSTALLED_FILES}
%defattr(-,root,root,-)
%doc CHANGES LICENSE README examples
%if 0%{!?suse_version:1}
%python_sitearch/PyYAML*
%python_sitearch/%{mod_name}*
%endif

%changelog
* Wed Jan 12 2011 saschpe@suse.de
- cleaned up spec-file
  * indentation, license header, proper requires
  * packaged examples
* Thu Dec 10 2009 pascal.bleser@opensuse.org
- use --record-rpm
- moved to openSUSE build service
* Thu Nov 12 2009 toni@links2linux.de
- initial build of version 3.09
